Bug 207421 - RPM quits, hangs and/or mangles database on large updates
RPM quits, hangs and/or mangles database on large updates
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 20:06 EDT by John Smith
Modified: 2008-04-01 07:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 07:08:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Smith 2006-09-20 20:06:01 EDT
Description of problem:

When performing very large updates (most often seen when updates are in excess 
of 2000+ RPMs, occasionally seen with updates of 400+ RPMs) RPM will do one or 
more of three things:

a) Quit with no message, before finishing
b) Hang (ps axuw will show a CPU load of 0.0% to 0.2% on a single core, single 
CPU Pentium IV, and will never finish. When running normally on the same 
system, load will always be in excess of 1% and will usually fluctuate between 
5% and 95%, with the midpoint around 20%)
c) Corrupt the database, necessitating a --rebuilddb. (If this occurs, any 
attempt to use RPM without doing a rebuild will ALWAYS result in RPM hanging.)

Version-Release number of selected component (if applicable):

All versions.

How reproducible:

Within parameters outlined, moderately reproducible - much more often than 
not, but not 100% of the time.

Steps to Reproduce:
1. rpm --update (very very large list of files)
  
Actual results:
One of the three listed above

Expected results:
Updating of files on disk

Additional info:
Manual cleaning of database, then rebuilding, seems to keep the risk of a hang 
to a minimum. When RPM just stops, the database seems to usually remain 
intact.
Comment 1 Jeff Johnson 2006-09-21 13:29:43 EDT
You are doing 2000+ package upgrades with /bin/rpm?
If so, I feel your pain. ;-)

I have done 6000+ package upgrades, and can probably
help sort out whatever problems there are. No matter what,
this bug report contains insufficient info to even attempt to
diagnose whetever problems you are seeing.

Splitting the 2000+ packages into smaller sets is likely
the best overall solution, but that's just my opinion.

Feel free to contact me at <n3npq@mac.com> if you'ld
like some private help.
Comment 2 Matthew Miller 2007-04-06 12:38:18 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Red Hat Bugzilla 2007-08-21 01:26:49 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 Panu Matilainen 2007-08-22 02:31:51 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 5 Panu Matilainen 2008-04-01 07:08:58 EDT
Quite likely a dupe of bug 248923 in essence (rpm eats too much memory) but
insufficient data, and FC6 is EOL and wont be fixed anyhow.

Note You need to log in before you can comment on or make changes to this bug.